Package org.springframework.util.concurrent

# Class ListenableFutureAdapter<T,S>

java.lang.Object
org.springframework.util.concurrent.FutureAdapter<T,S>
org.springframework.util.concurrent.ListenableFutureAdapter<T,S>

Type Parameters:
  `T` - the type of this `Future`
  `S` - the type of the adaptee's `Future`

All Implemented Interfaces:
  `Future<T>`, `ListenableFuture<T>`

@Deprecated(since="6.0", forRemoval=true) public abstract class ListenableFutureAdapter<T,S> extends FutureAdapter<T,S> implements ListenableFuture<T>
Deprecated, for removal: This API element is subject to removal in a future version.
as of 6.0, in favor of `CompletableFuture`
Abstract class that adapts a `ListenableFuture` parameterized over S into a `ListenableFuture` parameterized over T. All methods are delegated to the adaptee, where `FutureAdapter.get()`, `FutureAdapter.get(long, java.util.concurrent.TimeUnit)`, and `SuccessCallback.onSuccess(Object)` call `FutureAdapter.adapt(Object)` on the adaptee's result.

Since:
  4.0
Author:
  Arjen Poutsma

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`ListenableFutureAdapter(ListenableFuture<S> adaptee)`
Deprecated, for removal: This API element is subject to removal in a future version.
Construct a new `ListenableFutureAdapter` with the given adaptee.

## Method Summary

Modifier and Type
Method
Description
`void`
`addCallback(ListenableFutureCallback<? super T> callback)`
Deprecated, for removal: This API element is subject to removal in a future version.
Register the given `ListenableFutureCallback`.
`void`
`addCallback(SuccessCallback<? super T> successCallback, FailureCallback failureCallback)`
Deprecated, for removal: This API element is subject to removal in a future version.
Java 8 lambda-friendly alternative with success and failure callbacks.

### Methods inherited from class org.springframework.util.concurrent.FutureAdapter

`adapt, cancel, get, get, getAdaptee, isCancelled, isDone`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.concurrent.Future

`cancel, get, get, isCancelled, isDone`

### Methods inherited from interface org.springframework.util.concurrent.ListenableFuture

`completable`

## Constructor Details

### ListenableFutureAdapter

protected ListenableFutureAdapter(ListenableFuture<S> adaptee)
Deprecated, for removal: This API element is subject to removal in a future version.
Construct a new `ListenableFutureAdapter` with the given adaptee.

Parameters:
  `adaptee` - the future to adapt to

## Method Details

### addCallback

public void addCallback(ListenableFutureCallback<? super T> callback)
Deprecated, for removal: This API element is subject to removal in a future version.
Description copied from interface: `ListenableFuture`
Register the given `ListenableFutureCallback`.

Specified by:
  `addCallback` in interface `ListenableFuture<T>`
Parameters:
  `callback` - the callback to register

### addCallback

public void addCallback(SuccessCallback<? super T> successCallback, FailureCallback failureCallback)
Deprecated, for removal: This API element is subject to removal in a future version.
Description copied from interface: `ListenableFuture`
Java 8 lambda-friendly alternative with success and failure callbacks.

Specified by:
  `addCallback` in interface `ListenableFuture<T>`
Parameters:
  `successCallback` - the success callback
  `failureCallback` - the failure callback